﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace _9064
{
    public partial class EarthquakeHeatFeatureLayer : FeatureLayer
    {
        private HeatLayer heatLayer;

        public EarthquakeHeatFeatureLayer()
            : this(null)
        { }

        public EarthquakeHeatFeatureLayer(FeatureSource featureSource)
            : base()
        {
            heatLayer = new HeatLayer();
            FeatureSource = featureSource;
        }

        public new FeatureSource FeatureSource
        {
            get { return base.FeatureSource; }
            set
            {
                base.FeatureSource = value;
                heatLayer.FeatureSource = value;
            }
        }

        public HeatStyle HeatStyle
        {
            get { return heatLayer.HeatStyle; }
            set { heatLayer.HeatStyle = value; }
        }

        protected override void DrawCore(GeoCanvas canvas, Collection<SimpleCandidate> labelsInAllLayers)
        {
            try
            {
                heatLayer.Draw(canvas, labelsInAllLayers);
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex.Message);
            }
        }
    }
}